pkg/resources/config/crd/bases/camel.apache.org_integrationplatforms.yaml [2717:3533]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                properties:
                  3scale:
                    description: 'Deprecated: for backward compatibility.'
                    properties:
                      configuration:
                        description: TraitConfiguration parameters configuration
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                    required:
                    - configuration
                    type: object
                  addons:
                    additionalProperties:
                      description: AddonTrait represents the configuration of an addon
                        trait.
                      type: object
                      x-kubernetes-preserve-unknown-fields: true
                    description: The extension point with addon traits
                    type: object
                  affinity:
                    description: The configuration of Affinity trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      nodeAffinityLabels:
                        description: Defines a set of nodes the integration pod(s)
                          are eligible to be scheduled on, based on labels on the
                          node.
                        items:
                          type: string
                        type: array
                      podAffinity:
                        description: Always co-locates multiple replicas of the integration
                          in the same node (default `false`).
                        type: boolean
                      podAffinityLabels:
                        description: |-
                          Defines a set of pods (namely those matching the label selector, relative to the given namespace) that the
                          integration pod(s) should be co-located with.
                        items:
                          type: string
                        type: array
                      podAntiAffinity:
                        description: Never co-locates multiple replicas of the integration
                          in the same node (default `false`).
                        type: boolean
                      podAntiAffinityLabels:
                        description: |-
                          Defines a set of pods (namely those matching the label selector, relative to the given namespace) that the
                          integration pod(s) should not be co-located with.
                        items:
                          type: string
                        type: array
                    type: object
                  builder:
                    description: The configuration of Builder trait
                    properties:
                      annotations:
                        additionalProperties:
                          type: string
                        description: When using `pod` strategy, annotation to use
                          for the builder pod.
                        type: object
                      baseImage:
                        description: |-
                          Specify a base image. In order to have the application working properly it must be a container image which has a Java JDK
                          installed and ready to use on path (ie `/usr/bin/java`).
                        type: string
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      incrementalImageBuild:
                        description: Use the incremental image build option, to reuse
                          existing containers (default `true`)
                        type: boolean
                      limitCPU:
                        description: |-
                          When using `pod` strategy, the maximum amount of CPU required by the pod builder.
                          Deprecated: use TasksRequestCPU instead with task name `builder`.
                        type: string
                      limitMemory:
                        description: |-
                          When using `pod` strategy, the maximum amount of memory required by the pod builder.
                          Deprecated: use TasksRequestCPU instead with task name `builder`.
                        type: string
                      mavenProfiles:
                        description: |-
                          A list of references pointing to configmaps/secrets that contains a maven profile.
                          This configmap/secret is a resource of the IntegrationKit created, therefore it needs to be present in the namespace where the operator is going to create the IntegrationKit.
                          The content of the maven profile is expected to be a text containing a valid maven profile starting with `<profile>` and ending with `</profile>` that will be integrated as an inline profile in the POM.
                          Syntax: [configmap|secret]:name[/key], where name represents the resource name, key optionally represents the resource key to be filtered (default key value = profile.xml).
                        items:
                          type: string
                        type: array
                      nodeSelector:
                        additionalProperties:
                          type: string
                        description: Defines a set of nodes the builder pod is eligible
                          to be scheduled on, based on labels on the node.
                        type: object
                      orderStrategy:
                        description: The build order strategy to use, either `dependencies`,
                          `fifo` or `sequential` (default is the platform default)
                        enum:
                        - dependencies
                        - fifo
                        - sequential
                        type: string
                      platforms:
                        description: The list of manifest platforms to use to build
                          a container image (default `linux/amd64`).
                        items:
                          type: string
                        type: array
                      properties:
                        description: A list of properties to be provided to the build
                          task
                        items:
                          type: string
                        type: array
                      requestCPU:
                        description: |-
                          When using `pod` strategy, the minimum amount of CPU required by the pod builder.
                          Deprecated: use TasksRequestCPU instead with task name `builder`.
                        type: string
                      requestMemory:
                        description: |-
                          When using `pod` strategy, the minimum amount of memory required by the pod builder.
                          Deprecated: use TasksRequestCPU instead with task name `builder`.
                        type: string
                      strategy:
                        description: The strategy to use, either `pod` or `routine`
                          (default `routine`)
                        enum:
                        - pod
                        - routine
                        type: string
                      tasks:
                        description: A list of tasks to be executed (available only
                          when using `pod` strategy) with format `<name>;<container-image>;<container-command>`.
                        items:
                          type: string
                        type: array
                      tasksFilter:
                        description: |-
                          A list of tasks sorted by the order of execution in a csv format, ie, `<taskName1>,<taskName2>,...`.
                          Mind that you must include also the operator tasks (`builder`, `quarkus-native`, `package`, `jib`, `s2i`)
                          if you need to execute them. Useful only with `pod` strategy.
                        type: string
                      tasksLimitCPU:
                        description: A list of limit cpu configuration for the specific
                          task with format `<task-name>:<limit-cpu-conf>`.
                        items:
                          type: string
                        type: array
                      tasksLimitMemory:
                        description: A list of limit memory configuration for the
                          specific task with format `<task-name>:<limit-memory-conf>`.
                        items:
                          type: string
                        type: array
                      tasksRequestCPU:
                        description: A list of request cpu configuration for the specific
                          task with format `<task-name>:<request-cpu-conf>`.
                        items:
                          type: string
                        type: array
                      tasksRequestMemory:
                        description: A list of request memory configuration for the
                          specific task with format `<task-name>:<request-memory-conf>`.
                        items:
                          type: string
                        type: array
                      verbose:
                        description: |-
                          Enable verbose logging on build components that support it (e.g. Kaniko build pod).
                          Deprecated no longer in use
                        type: boolean
                    type: object
                  camel:
                    description: The configuration of Camel trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      properties:
                        description: A list of properties to be provided to the Integration
                          runtime
                        items:
                          type: string
                        type: array
                      runtimeProvider:
                        description: The runtime provider to use for the integration.
                          (Default, Camel K Runtime).
                        enum:
                        - quarkus
                        - plain-quarkus
                        type: string
                      runtimeVersion:
                        description: |-
                          The runtime version to use for the integration. It overrides the default version set in the Integration Platform.
                          You can use a fixed version (for example "3.2.3") or a semantic version (for example "3.x") which will try to resolve
                          to the best matching Catalog existing on the cluster (Default, the one provided by the operator version).
                        type: string
                    type: object
                  container:
                    description: The configuration of Container trait
                    properties:
                      allowPrivilegeEscalation:
                        description: Security Context AllowPrivilegeEscalation configuration
                          (default false).
                        type: boolean
                      auto:
                        description: To automatically enable the trait
                        type: boolean
                      capabilitiesAdd:
                        description: Security Context Capabilities Add configuration
                          (default none).
                        items:
                          description: Capability represent POSIX capabilities type
                          type: string
                        type: array
                      capabilitiesDrop:
                        description: Security Context Capabilities Drop configuration
                          (default ALL).
                        items:
                          description: Capability represent POSIX capabilities type
                          type: string
                        type: array
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      expose:
                        description: Can be used to enable/disable exposure via kubernetes
                          Service.
                        type: boolean
                      image:
                        description: |-
                          The main container image to use for the Integration. When using this parameter the operator will create a synthetic IntegrationKit which
                          won't be able to execute traits requiring CamelCatalog. If the container image you're using is coming from an IntegrationKit, use instead
                          Integration `.spec.integrationKit` parameter. If you're moving the Integration across environments, you will also need to create an "external" IntegrationKit.
                        type: string
                      imagePullPolicy:
                        description: 'The pull policy: Always|Never|IfNotPresent'
                        enum:
                        - Always
                        - Never
                        - IfNotPresent
                        type: string
                      limitCPU:
                        description: The maximum amount of CPU to be provided (default
                          500 millicores).
                        type: string
                      limitMemory:
                        description: The maximum amount of memory to be provided (default
                          512 Mi).
                        type: string
                      name:
                        description: The main container name. It's named `integration`
                          by default.
                        type: string
                      port:
                        description: To configure a different port exposed by the
                          container (default `8080`).
                        format: int32
                        type: integer
                      portName:
                        description: To configure a different port name for the port
                          exposed by the container. It defaults to `http` only when
                          the `expose` parameter is true.
                        type: string
                      requestCPU:
                        description: The minimum amount of CPU required (default 125
                          millicores).
                        type: string
                      requestMemory:
                        description: The minimum amount of memory required (default
                          128 Mi).
                        type: string
                      runAsNonRoot:
                        description: Security Context RunAsNonRoot configuration (default
                          false).
                        type: boolean
                      runAsUser:
                        description: 'Security Context RunAsUser configuration (default
                          none): this value is automatically retrieved in Openshift
                          clusters when not explicitly set.'
                        format: int64
                        type: integer
                      seccompProfileType:
                        description: Security Context SeccompProfileType configuration
                          (default RuntimeDefault).
                        enum:
                        - Unconfined
                        - RuntimeDefault
                        type: string
                      servicePort:
                        description: To configure under which service port the container
                          port is to be exposed (default `80`).
                        format: int32
                        type: integer
                      servicePortName:
                        description: To configure under which service port name the
                          container port is to be exposed (default `http`).
                        type: string
                    type: object
                  cron:
                    description: The configuration of Cron trait
                    properties:
                      activeDeadlineSeconds:
                        description: |-
                          Specifies the duration in seconds, relative to the start time, that the job
                          may be continuously active before it is considered to be failed.
                          It defaults to 60s.
                        format: int64
                        type: integer
                      auto:
                        description: |-
                          Automatically deploy the integration as CronJob when all routes are
                          either starting from a periodic consumer (only `cron`, `timer` and `quartz` are supported) or a passive consumer (e.g. `direct` is a passive consumer).

                          It's required that all periodic consumers have the same period, and it can be expressed as cron schedule (e.g. `1m` can be expressed as `0/1 * * * *`,
                          while `35m` or `50s` cannot).
                        type: boolean
                      backoffLimit:
                        description: |-
                          Specifies the number of retries before marking the job failed.
                          It defaults to 2.
                        format: int32
                        type: integer
                      components:
                        description: |-
                          A comma separated list of the Camel components that need to be customized in order for them to work when the schedule is triggered externally by Kubernetes.
                          Supported components are currently: `cron`, `timer` and `quartz`.
                        type: string
                      concurrencyPolicy:
                        description: |-
                          Specifies how to treat concurrent executions of a Job.
                          Valid values are:
                          - "Allow": allows CronJobs to run concurrently;
                          - "Forbid" (default): forbids concurrent runs, skipping next run if previous run hasn't finished yet;
                          - "Replace": cancels currently running job and replaces it with a new one
                        enum:
                        - Allow
                        - Forbid
                        - Replace
                        type: string
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      fallback:
                        description: |-
                          Use the default Camel implementation of the `cron` endpoint (`quartz`) instead of trying to materialize the integration
                          as Kubernetes CronJob.
                        type: boolean
                      schedule:
                        description: |-
                          The CronJob schedule for the whole integration. If multiple routes are declared, they must have the same schedule for this
                          mechanism to work correctly.
                        type: string
                      startingDeadlineSeconds:
                        description: |-
                          Optional deadline in seconds for starting the job if it misses scheduled
                          time for any reason.  Missed jobs executions will be counted as failed ones.
                        format: int64
                        type: integer
                      timeZone:
                        description: The timezone that the CronJob will run on
                        type: string
                    type: object
                  dependencies:
                    description: The configuration of Dependencies trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                    type: object
                  deployer:
                    description: The configuration of Deployer trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      kind:
                        description: Allows to explicitly select the desired deployment
                          kind between `deployment`, `cron-job` or `knative-service`
                          when creating the resources for running the integration.
                        enum:
                        - deployment
                        - cron-job
                        - knative-service
                        type: string
                      useSSA:
                        description: |-
                          Deprecated: won't be able to enforce client side update in the future.
                          Use server-side apply to update the owned resources (default `true`).
                          Note that it automatically falls back to client-side patching, if SSA is not available, e.g., on old Kubernetes clusters.
                        type: boolean
                    type: object
                  deployment:
                    description: The configuration of Deployment trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      progressDeadlineSeconds:
                        description: |-
                          The maximum time in seconds for the deployment to make progress before it
                          is considered to be failed. It defaults to `60s`.
                        format: int32
                        type: integer
                      rollingUpdateMaxSurge:
                        anyOf:
                        - type: integer
                        - type: string
                        description: |-
                          The maximum number of pods that can be scheduled above the desired number of
                          pods.
                          Value can be an absolute number (ex: 5) or a percentage of desired pods (ex: 10%).
                          This can not be 0 if MaxUnavailable is 0.
                          Absolute number is calculated from percentage by rounding up.
                          Defaults to `25%`.
                        x-kubernetes-int-or-string: true
                      rollingUpdateMaxUnavailable:
                        anyOf:
                        - type: integer
                        - type: string
                        description: |-
                          The maximum number of pods that can be unavailable during the update.
                          Value can be an absolute number (ex: 5) or a percentage of desired pods (ex: 10%).
                          Absolute number is calculated from percentage by rounding down.
                          This can not be 0 if MaxSurge is 0.
                          Defaults to `25%`.
                        x-kubernetes-int-or-string: true
                      strategy:
                        description: The deployment strategy to use to replace existing
                          pods with new ones.
                        enum:
                        - Recreate
                        - RollingUpdate
                        type: string
                    type: object
                  environment:
                    description: The configuration of Environment trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      containerMeta:
                        description: Enables injection of `NAMESPACE` and `POD_NAME`
                          environment variables (default `true`)
                        type: boolean
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      httpProxy:
                        description: Propagates the `HTTP_PROXY`, `HTTPS_PROXY` and
                          `NO_PROXY` environment variables (default `true`)
                        type: boolean
                      vars:
                        description: |-
                          A list of environment variables to be added to the integration container.
                          The syntax is either VAR=VALUE or VAR=[configmap|secret]:name/key, where name represents the resource name,
                          and key represents the resource key to be mapped as and environment variable.
                          These take precedence over any previously defined environment variables.
                        items:
                          type: string
                        type: array
                    type: object
                  error-handler:
                    description: |-
                      The configuration of Error Handler trait
                      Deprecated: no longer in use.
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      ref:
                        description: The error handler ref name provided or found
                          in application properties
                        type: string
                    type: object
                  gc:
                    description: The configuration of GC trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      discoveryCache:
                        description: |-
                          Discovery client cache to be used, either `disabled`, `disk` or `memory` (default `memory`).
                          Deprecated: no longer in use.
                        enum:
                        - disabled
                        - disk
                        - memory
                        type: string
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                    type: object
                  health:
                    description: The configuration of Health trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      livenessFailureThreshold:
                        description: Minimum consecutive failures for the liveness
                          probe to be considered failed after having succeeded.
                        format: int32
                        type: integer
                      livenessInitialDelay:
                        description: Number of seconds after the container has started
                          before the liveness probe is initiated.
                        format: int32
                        type: integer
                      livenessPeriod:
                        description: How often to perform the liveness probe.
                        format: int32
                        type: integer
                      livenessProbe:
                        description: The liveness probe path to use (default provided
                          by the Catalog runtime used).
                        type: string
                      livenessProbeEnabled:
                        description: Configures the liveness probe for the integration
                          container (default `false`).
                        type: boolean
                      livenessScheme:
                        description: Scheme to use when connecting to the liveness
                          probe (default `HTTP`).
                        type: string
                      livenessSuccessThreshold:
                        description: Minimum consecutive successes for the liveness
                          probe to be considered successful after having failed.
                        format: int32
                        type: integer
                      livenessTimeout:
                        description: Number of seconds after which the liveness probe
                          times out.
                        format: int32
                        type: integer
                      readinessFailureThreshold:
                        description: Minimum consecutive failures for the readiness
                          probe to be considered failed after having succeeded.
                        format: int32
                        type: integer
                      readinessInitialDelay:
                        description: Number of seconds after the container has started
                          before the readiness probe is initiated.
                        format: int32
                        type: integer
                      readinessPeriod:
                        description: How often to perform the readiness probe.
                        format: int32
                        type: integer
                      readinessProbe:
                        description: The readiness probe path to use (default provided
                          by the Catalog runtime used).
                        type: string
                      readinessProbeEnabled:
                        description: Configures the readiness probe for the integration
                          container (default `true`).
                        type: boolean
                      readinessScheme:
                        description: Scheme to use when connecting to the readiness
                          probe (default `HTTP`).
                        type: string
                      readinessSuccessThreshold:
                        description: Minimum consecutive successes for the readiness
                          probe to be considered successful after having failed.
                        format: int32
                        type: integer
                      readinessTimeout:
                        description: Number of seconds after which the readiness probe
                          times out.
                        format: int32
                        type: integer
                      startupFailureThreshold:
                        description: Minimum consecutive failures for the startup
                          probe to be considered failed after having succeeded.
                        format: int32
                        type: integer
                      startupInitialDelay:
                        description: Number of seconds after the container has started
                          before the startup probe is initiated.
                        format: int32
                        type: integer
                      startupPeriod:
                        description: How often to perform the startup probe.
                        format: int32
                        type: integer
                      startupProbe:
                        description: The startup probe path to use (default provided
                          by the Catalog runtime used).
                        type: string
                      startupProbeEnabled:
                        description: Configures the startup probe for the integration
                          container (default `false`).
                        type: boolean
                      startupScheme:
                        description: Scheme to use when connecting to the startup
                          probe (default `HTTP`).
                        type: string
                      startupSuccessThreshold:
                        description: Minimum consecutive successes for the startup
                          probe to be considered successful after having failed.
                        format: int32
                        type: integer
                      startupTimeout:
                        description: Number of seconds after which the startup probe
                          times out.
                        format: int32
                        type: integer
                    type: object
                  ingress:
                    description: The configuration of Ingress trait
                    properties:
                      annotations:
                        additionalProperties:
                          type: string
                        description: |-
                          The annotations added to the ingress.
                          This can be used to set controller specific annotations, e.g., when using the NGINX Ingress controller:
                          See https://github.com/kubernetes/ingress-nginx/blob/main/docs/user-guide/nginx-configuration/annotations.md
                        type: object
                      auto:
                        description: To automatically add an ingress whenever the
                          integration uses an HTTP endpoint consumer.
                        type: boolean
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      host:
                        description: To configure the host exposed by the ingress.
                        type: string
                      ingressClassName:
                        description: |-
                          The Ingress class name as defined by the Ingress spec
                          See https://kubernetes.io/docs/concepts/services-networking/ingress/
                        type: string
                      path:
                        description: |-
                          To configure the path exposed by the ingress (default `/`).
                          Deprecated: In favor of `paths` - left for backward compatibility.
                        type: string
                      pathType:
                        description: |-
                          To configure the path type exposed by the ingress.
                          One of `Exact`, `Prefix`, `ImplementationSpecific` (default to `Prefix`).
                        enum:
                        - Exact
                        - Prefix
                        - ImplementationSpecific
                        type: string
                      paths:
                        description: To configure the paths exposed by the ingress
                          (default `['/']`).
                        items:
                          type: string
                        type: array
                      tlsHosts:
                        description: To configure tls hosts
                        items:
                          type: string
                        type: array
                      tlsSecretName:
                        description: To configure tls secret name
                        type: string
                    type: object
                  istio:
                    description: The configuration of Istio trait
                    properties:
                      allow:
                        description: Configures a (comma-separated) list of CIDR subnets
                          that should not be intercepted by the Istio proxy (`10.0.0.0/8,172.16.0.0/12,192.168.0.0/16`
                          by default).
                        type: string
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      inject:
                        description: Forces the value for labels `sidecar.istio.io/inject`.
                          By default the label is set to `true` on deployment and
                          not set on Knative Service.
                        type: boolean
                    type: object
                  jolokia:
                    description: The configuration of Jolokia trait
                    properties:
                      CACert:
                        description: |-
                          The PEM encoded CA certification file path, used to verify client certificates,
                          applicable when `protocol` is `https` and `use-ssl-client-authentication` is `true`
                          (default `/var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt` for OpenShift).
                        type: string
                      clientPrincipal:
                        description: |-
                          The principal(s) which must be given in a client certificate to allow access to the Jolokia endpoint,
                          applicable when `protocol` is `https` and `use-ssl-client-authentication` is `true`
                          (default `clientPrincipal=cn=system:master-proxy`, `cn=hawtio-online.hawtio.svc` and `cn=fuse-console.fuse.svc` for OpenShift).
                        items:
                          type: string
                        type: array
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      discoveryEnabled:
                        description: Listen for multicast requests (default `false`)
                        type: boolean
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      extendedClientCheck:
                        description: |-
                          Mandate the client certificate contains a client flag in the extended key usage section,
                          applicable when `protocol` is `https` and `use-ssl-client-authentication` is `true`
                          (default `true` for OpenShift).
                        type: boolean
                      host:
                        description: |-
                          The Host address to which the Jolokia agent should bind to. If `"\*"` or `"0.0.0.0"` is given,
                          the servers binds to every network interface (default `"*"`).
                        type: string
                      options:
                        description: |-
                          A list of additional Jolokia options as defined
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



pkg/resources/config/crd/bases/camel.apache.org_integrationprofiles.yaml [381:1197]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                properties:
                  3scale:
                    description: 'Deprecated: for backward compatibility.'
                    properties:
                      configuration:
                        description: TraitConfiguration parameters configuration
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                    required:
                    - configuration
                    type: object
                  addons:
                    additionalProperties:
                      description: AddonTrait represents the configuration of an addon
                        trait.
                      type: object
                      x-kubernetes-preserve-unknown-fields: true
                    description: The extension point with addon traits
                    type: object
                  affinity:
                    description: The configuration of Affinity trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      nodeAffinityLabels:
                        description: Defines a set of nodes the integration pod(s)
                          are eligible to be scheduled on, based on labels on the
                          node.
                        items:
                          type: string
                        type: array
                      podAffinity:
                        description: Always co-locates multiple replicas of the integration
                          in the same node (default `false`).
                        type: boolean
                      podAffinityLabels:
                        description: |-
                          Defines a set of pods (namely those matching the label selector, relative to the given namespace) that the
                          integration pod(s) should be co-located with.
                        items:
                          type: string
                        type: array
                      podAntiAffinity:
                        description: Never co-locates multiple replicas of the integration
                          in the same node (default `false`).
                        type: boolean
                      podAntiAffinityLabels:
                        description: |-
                          Defines a set of pods (namely those matching the label selector, relative to the given namespace) that the
                          integration pod(s) should not be co-located with.
                        items:
                          type: string
                        type: array
                    type: object
                  builder:
                    description: The configuration of Builder trait
                    properties:
                      annotations:
                        additionalProperties:
                          type: string
                        description: When using `pod` strategy, annotation to use
                          for the builder pod.
                        type: object
                      baseImage:
                        description: |-
                          Specify a base image. In order to have the application working properly it must be a container image which has a Java JDK
                          installed and ready to use on path (ie `/usr/bin/java`).
                        type: string
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      incrementalImageBuild:
                        description: Use the incremental image build option, to reuse
                          existing containers (default `true`)
                        type: boolean
                      limitCPU:
                        description: |-
                          When using `pod` strategy, the maximum amount of CPU required by the pod builder.
                          Deprecated: use TasksRequestCPU instead with task name `builder`.
                        type: string
                      limitMemory:
                        description: |-
                          When using `pod` strategy, the maximum amount of memory required by the pod builder.
                          Deprecated: use TasksRequestCPU instead with task name `builder`.
                        type: string
                      mavenProfiles:
                        description: |-
                          A list of references pointing to configmaps/secrets that contains a maven profile.
                          This configmap/secret is a resource of the IntegrationKit created, therefore it needs to be present in the namespace where the operator is going to create the IntegrationKit.
                          The content of the maven profile is expected to be a text containing a valid maven profile starting with `<profile>` and ending with `</profile>` that will be integrated as an inline profile in the POM.
                          Syntax: [configmap|secret]:name[/key], where name represents the resource name, key optionally represents the resource key to be filtered (default key value = profile.xml).
                        items:
                          type: string
                        type: array
                      nodeSelector:
                        additionalProperties:
                          type: string
                        description: Defines a set of nodes the builder pod is eligible
                          to be scheduled on, based on labels on the node.
                        type: object
                      orderStrategy:
                        description: The build order strategy to use, either `dependencies`,
                          `fifo` or `sequential` (default is the platform default)
                        enum:
                        - dependencies
                        - fifo
                        - sequential
                        type: string
                      platforms:
                        description: The list of manifest platforms to use to build
                          a container image (default `linux/amd64`).
                        items:
                          type: string
                        type: array
                      properties:
                        description: A list of properties to be provided to the build
                          task
                        items:
                          type: string
                        type: array
                      requestCPU:
                        description: |-
                          When using `pod` strategy, the minimum amount of CPU required by the pod builder.
                          Deprecated: use TasksRequestCPU instead with task name `builder`.
                        type: string
                      requestMemory:
                        description: |-
                          When using `pod` strategy, the minimum amount of memory required by the pod builder.
                          Deprecated: use TasksRequestCPU instead with task name `builder`.
                        type: string
                      strategy:
                        description: The strategy to use, either `pod` or `routine`
                          (default `routine`)
                        enum:
                        - pod
                        - routine
                        type: string
                      tasks:
                        description: A list of tasks to be executed (available only
                          when using `pod` strategy) with format `<name>;<container-image>;<container-command>`.
                        items:
                          type: string
                        type: array
                      tasksFilter:
                        description: |-
                          A list of tasks sorted by the order of execution in a csv format, ie, `<taskName1>,<taskName2>,...`.
                          Mind that you must include also the operator tasks (`builder`, `quarkus-native`, `package`, `jib`, `s2i`)
                          if you need to execute them. Useful only with `pod` strategy.
                        type: string
                      tasksLimitCPU:
                        description: A list of limit cpu configuration for the specific
                          task with format `<task-name>:<limit-cpu-conf>`.
                        items:
                          type: string
                        type: array
                      tasksLimitMemory:
                        description: A list of limit memory configuration for the
                          specific task with format `<task-name>:<limit-memory-conf>`.
                        items:
                          type: string
                        type: array
                      tasksRequestCPU:
                        description: A list of request cpu configuration for the specific
                          task with format `<task-name>:<request-cpu-conf>`.
                        items:
                          type: string
                        type: array
                      tasksRequestMemory:
                        description: A list of request memory configuration for the
                          specific task with format `<task-name>:<request-memory-conf>`.
                        items:
                          type: string
                        type: array
                      verbose:
                        description: |-
                          Enable verbose logging on build components that support it (e.g. Kaniko build pod).
                          Deprecated no longer in use
                        type: boolean
                    type: object
                  camel:
                    description: The configuration of Camel trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      properties:
                        description: A list of properties to be provided to the Integration
                          runtime
                        items:
                          type: string
                        type: array
                      runtimeProvider:
                        description: The runtime provider to use for the integration.
                          (Default, Camel K Runtime).
                        enum:
                        - quarkus
                        - plain-quarkus
                        type: string
                      runtimeVersion:
                        description: |-
                          The runtime version to use for the integration. It overrides the default version set in the Integration Platform.
                          You can use a fixed version (for example "3.2.3") or a semantic version (for example "3.x") which will try to resolve
                          to the best matching Catalog existing on the cluster (Default, the one provided by the operator version).
                        type: string
                    type: object
                  container:
                    description: The configuration of Container trait
                    properties:
                      allowPrivilegeEscalation:
                        description: Security Context AllowPrivilegeEscalation configuration
                          (default false).
                        type: boolean
                      auto:
                        description: To automatically enable the trait
                        type: boolean
                      capabilitiesAdd:
                        description: Security Context Capabilities Add configuration
                          (default none).
                        items:
                          description: Capability represent POSIX capabilities type
                          type: string
                        type: array
                      capabilitiesDrop:
                        description: Security Context Capabilities Drop configuration
                          (default ALL).
                        items:
                          description: Capability represent POSIX capabilities type
                          type: string
                        type: array
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      expose:
                        description: Can be used to enable/disable exposure via kubernetes
                          Service.
                        type: boolean
                      image:
                        description: |-
                          The main container image to use for the Integration. When using this parameter the operator will create a synthetic IntegrationKit which
                          won't be able to execute traits requiring CamelCatalog. If the container image you're using is coming from an IntegrationKit, use instead
                          Integration `.spec.integrationKit` parameter. If you're moving the Integration across environments, you will also need to create an "external" IntegrationKit.
                        type: string
                      imagePullPolicy:
                        description: 'The pull policy: Always|Never|IfNotPresent'
                        enum:
                        - Always
                        - Never
                        - IfNotPresent
                        type: string
                      limitCPU:
                        description: The maximum amount of CPU to be provided (default
                          500 millicores).
                        type: string
                      limitMemory:
                        description: The maximum amount of memory to be provided (default
                          512 Mi).
                        type: string
                      name:
                        description: The main container name. It's named `integration`
                          by default.
                        type: string
                      port:
                        description: To configure a different port exposed by the
                          container (default `8080`).
                        format: int32
                        type: integer
                      portName:
                        description: To configure a different port name for the port
                          exposed by the container. It defaults to `http` only when
                          the `expose` parameter is true.
                        type: string
                      requestCPU:
                        description: The minimum amount of CPU required (default 125
                          millicores).
                        type: string
                      requestMemory:
                        description: The minimum amount of memory required (default
                          128 Mi).
                        type: string
                      runAsNonRoot:
                        description: Security Context RunAsNonRoot configuration (default
                          false).
                        type: boolean
                      runAsUser:
                        description: 'Security Context RunAsUser configuration (default
                          none): this value is automatically retrieved in Openshift
                          clusters when not explicitly set.'
                        format: int64
                        type: integer
                      seccompProfileType:
                        description: Security Context SeccompProfileType configuration
                          (default RuntimeDefault).
                        enum:
                        - Unconfined
                        - RuntimeDefault
                        type: string
                      servicePort:
                        description: To configure under which service port the container
                          port is to be exposed (default `80`).
                        format: int32
                        type: integer
                      servicePortName:
                        description: To configure under which service port name the
                          container port is to be exposed (default `http`).
                        type: string
                    type: object
                  cron:
                    description: The configuration of Cron trait
                    properties:
                      activeDeadlineSeconds:
                        description: |-
                          Specifies the duration in seconds, relative to the start time, that the job
                          may be continuously active before it is considered to be failed.
                          It defaults to 60s.
                        format: int64
                        type: integer
                      auto:
                        description: |-
                          Automatically deploy the integration as CronJob when all routes are
                          either starting from a periodic consumer (only `cron`, `timer` and `quartz` are supported) or a passive consumer (e.g. `direct` is a passive consumer).

                          It's required that all periodic consumers have the same period, and it can be expressed as cron schedule (e.g. `1m` can be expressed as `0/1 * * * *`,
                          while `35m` or `50s` cannot).
                        type: boolean
                      backoffLimit:
                        description: |-
                          Specifies the number of retries before marking the job failed.
                          It defaults to 2.
                        format: int32
                        type: integer
                      components:
                        description: |-
                          A comma separated list of the Camel components that need to be customized in order for them to work when the schedule is triggered externally by Kubernetes.
                          Supported components are currently: `cron`, `timer` and `quartz`.
                        type: string
                      concurrencyPolicy:
                        description: |-
                          Specifies how to treat concurrent executions of a Job.
                          Valid values are:
                          - "Allow": allows CronJobs to run concurrently;
                          - "Forbid" (default): forbids concurrent runs, skipping next run if previous run hasn't finished yet;
                          - "Replace": cancels currently running job and replaces it with a new one
                        enum:
                        - Allow
                        - Forbid
                        - Replace
                        type: string
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      fallback:
                        description: |-
                          Use the default Camel implementation of the `cron` endpoint (`quartz`) instead of trying to materialize the integration
                          as Kubernetes CronJob.
                        type: boolean
                      schedule:
                        description: |-
                          The CronJob schedule for the whole integration. If multiple routes are declared, they must have the same schedule for this
                          mechanism to work correctly.
                        type: string
                      startingDeadlineSeconds:
                        description: |-
                          Optional deadline in seconds for starting the job if it misses scheduled
                          time for any reason.  Missed jobs executions will be counted as failed ones.
                        format: int64
                        type: integer
                      timeZone:
                        description: The timezone that the CronJob will run on
                        type: string
                    type: object
                  dependencies:
                    description: The configuration of Dependencies trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                    type: object
                  deployer:
                    description: The configuration of Deployer trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      kind:
                        description: Allows to explicitly select the desired deployment
                          kind between `deployment`, `cron-job` or `knative-service`
                          when creating the resources for running the integration.
                        enum:
                        - deployment
                        - cron-job
                        - knative-service
                        type: string
                      useSSA:
                        description: |-
                          Deprecated: won't be able to enforce client side update in the future.
                          Use server-side apply to update the owned resources (default `true`).
                          Note that it automatically falls back to client-side patching, if SSA is not available, e.g., on old Kubernetes clusters.
                        type: boolean
                    type: object
                  deployment:
                    description: The configuration of Deployment trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      progressDeadlineSeconds:
                        description: |-
                          The maximum time in seconds for the deployment to make progress before it
                          is considered to be failed. It defaults to `60s`.
                        format: int32
                        type: integer
                      rollingUpdateMaxSurge:
                        anyOf:
                        - type: integer
                        - type: string
                        description: |-
                          The maximum number of pods that can be scheduled above the desired number of
                          pods.
                          Value can be an absolute number (ex: 5) or a percentage of desired pods (ex: 10%).
                          This can not be 0 if MaxUnavailable is 0.
                          Absolute number is calculated from percentage by rounding up.
                          Defaults to `25%`.
                        x-kubernetes-int-or-string: true
                      rollingUpdateMaxUnavailable:
                        anyOf:
                        - type: integer
                        - type: string
                        description: |-
                          The maximum number of pods that can be unavailable during the update.
                          Value can be an absolute number (ex: 5) or a percentage of desired pods (ex: 10%).
                          Absolute number is calculated from percentage by rounding down.
                          This can not be 0 if MaxSurge is 0.
                          Defaults to `25%`.
                        x-kubernetes-int-or-string: true
                      strategy:
                        description: The deployment strategy to use to replace existing
                          pods with new ones.
                        enum:
                        - Recreate
                        - RollingUpdate
                        type: string
                    type: object
                  environment:
                    description: The configuration of Environment trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      containerMeta:
                        description: Enables injection of `NAMESPACE` and `POD_NAME`
                          environment variables (default `true`)
                        type: boolean
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      httpProxy:
                        description: Propagates the `HTTP_PROXY`, `HTTPS_PROXY` and
                          `NO_PROXY` environment variables (default `true`)
                        type: boolean
                      vars:
                        description: |-
                          A list of environment variables to be added to the integration container.
                          The syntax is either VAR=VALUE or VAR=[configmap|secret]:name/key, where name represents the resource name,
                          and key represents the resource key to be mapped as and environment variable.
                          These take precedence over any previously defined environment variables.
                        items:
                          type: string
                        type: array
                    type: object
                  error-handler:
                    description: |-
                      The configuration of Error Handler trait
                      Deprecated: no longer in use.
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      ref:
                        description: The error handler ref name provided or found
                          in application properties
                        type: string
                    type: object
                  gc:
                    description: The configuration of GC trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      discoveryCache:
                        description: |-
                          Discovery client cache to be used, either `disabled`, `disk` or `memory` (default `memory`).
                          Deprecated: no longer in use.
                        enum:
                        - disabled
                        - disk
                        - memory
                        type: string
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                    type: object
                  health:
                    description: The configuration of Health trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      livenessFailureThreshold:
                        description: Minimum consecutive failures for the liveness
                          probe to be considered failed after having succeeded.
                        format: int32
                        type: integer
                      livenessInitialDelay:
                        description: Number of seconds after the container has started
                          before the liveness probe is initiated.
                        format: int32
                        type: integer
                      livenessPeriod:
                        description: How often to perform the liveness probe.
                        format: int32
                        type: integer
                      livenessProbe:
                        description: The liveness probe path to use (default provided
                          by the Catalog runtime used).
                        type: string
                      livenessProbeEnabled:
                        description: Configures the liveness probe for the integration
                          container (default `false`).
                        type: boolean
                      livenessScheme:
                        description: Scheme to use when connecting to the liveness
                          probe (default `HTTP`).
                        type: string
                      livenessSuccessThreshold:
                        description: Minimum consecutive successes for the liveness
                          probe to be considered successful after having failed.
                        format: int32
                        type: integer
                      livenessTimeout:
                        description: Number of seconds after which the liveness probe
                          times out.
                        format: int32
                        type: integer
                      readinessFailureThreshold:
                        description: Minimum consecutive failures for the readiness
                          probe to be considered failed after having succeeded.
                        format: int32
                        type: integer
                      readinessInitialDelay:
                        description: Number of seconds after the container has started
                          before the readiness probe is initiated.
                        format: int32
                        type: integer
                      readinessPeriod:
                        description: How often to perform the readiness probe.
                        format: int32
                        type: integer
                      readinessProbe:
                        description: The readiness probe path to use (default provided
                          by the Catalog runtime used).
                        type: string
                      readinessProbeEnabled:
                        description: Configures the readiness probe for the integration
                          container (default `true`).
                        type: boolean
                      readinessScheme:
                        description: Scheme to use when connecting to the readiness
                          probe (default `HTTP`).
                        type: string
                      readinessSuccessThreshold:
                        description: Minimum consecutive successes for the readiness
                          probe to be considered successful after having failed.
                        format: int32
                        type: integer
                      readinessTimeout:
                        description: Number of seconds after which the readiness probe
                          times out.
                        format: int32
                        type: integer
                      startupFailureThreshold:
                        description: Minimum consecutive failures for the startup
                          probe to be considered failed after having succeeded.
                        format: int32
                        type: integer
                      startupInitialDelay:
                        description: Number of seconds after the container has started
                          before the startup probe is initiated.
                        format: int32
                        type: integer
                      startupPeriod:
                        description: How often to perform the startup probe.
                        format: int32
                        type: integer
                      startupProbe:
                        description: The startup probe path to use (default provided
                          by the Catalog runtime used).
                        type: string
                      startupProbeEnabled:
                        description: Configures the startup probe for the integration
                          container (default `false`).
                        type: boolean
                      startupScheme:
                        description: Scheme to use when connecting to the startup
                          probe (default `HTTP`).
                        type: string
                      startupSuccessThreshold:
                        description: Minimum consecutive successes for the startup
                          probe to be considered successful after having failed.
                        format: int32
                        type: integer
                      startupTimeout:
                        description: Number of seconds after which the startup probe
                          times out.
                        format: int32
                        type: integer
                    type: object
                  ingress:
                    description: The configuration of Ingress trait
                    properties:
                      annotations:
                        additionalProperties:
                          type: string
                        description: |-
                          The annotations added to the ingress.
                          This can be used to set controller specific annotations, e.g., when using the NGINX Ingress controller:
                          See https://github.com/kubernetes/ingress-nginx/blob/main/docs/user-guide/nginx-configuration/annotations.md
                        type: object
                      auto:
                        description: To automatically add an ingress whenever the
                          integration uses an HTTP endpoint consumer.
                        type: boolean
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      host:
                        description: To configure the host exposed by the ingress.
                        type: string
                      ingressClassName:
                        description: |-
                          The Ingress class name as defined by the Ingress spec
                          See https://kubernetes.io/docs/concepts/services-networking/ingress/
                        type: string
                      path:
                        description: |-
                          To configure the path exposed by the ingress (default `/`).
                          Deprecated: In favor of `paths` - left for backward compatibility.
                        type: string
                      pathType:
                        description: |-
                          To configure the path type exposed by the ingress.
                          One of `Exact`, `Prefix`, `ImplementationSpecific` (default to `Prefix`).
                        enum:
                        - Exact
                        - Prefix
                        - ImplementationSpecific
                        type: string
                      paths:
                        description: To configure the paths exposed by the ingress
                          (default `['/']`).
                        items:
                          type: string
                        type: array
                      tlsHosts:
                        description: To configure tls hosts
                        items:
                          type: string
                        type: array
                      tlsSecretName:
                        description: To configure tls secret name
                        type: string
                    type: object
                  istio:
                    description: The configuration of Istio trait
                    properties:
                      allow:
                        description: Configures a (comma-separated) list of CIDR subnets
                          that should not be intercepted by the Istio proxy (`10.0.0.0/8,172.16.0.0/12,192.168.0.0/16`
                          by default).
                        type: string
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      inject:
                        description: Forces the value for labels `sidecar.istio.io/inject`.
                          By default the label is set to `true` on deployment and
                          not set on Knative Service.
                        type: boolean
                    type: object
                  jolokia:
                    description: The configuration of Jolokia trait
                    properties:
                      CACert:
                        description: |-
                          The PEM encoded CA certification file path, used to verify client certificates,
                          applicable when `protocol` is `https` and `use-ssl-client-authentication` is `true`
                          (default `/var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt` for OpenShift).
                        type: string
                      clientPrincipal:
                        description: |-
                          The principal(s) which must be given in a client certificate to allow access to the Jolokia endpoint,
                          applicable when `protocol` is `https` and `use-ssl-client-authentication` is `true`
                          (default `clientPrincipal=cn=system:master-proxy`, `cn=hawtio-online.hawtio.svc` and `cn=fuse-console.fuse.svc` for OpenShift).
                        items:
                          type: string
                        type: array
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      discoveryEnabled:
                        description: Listen for multicast requests (default `false`)
                        type: boolean
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      extendedClientCheck:
                        description: |-
                          Mandate the client certificate contains a client flag in the extended key usage section,
                          applicable when `protocol` is `https` and `use-ssl-client-authentication` is `true`
                          (default `true` for OpenShift).
                        type: boolean
                      host:
                        description: |-
                          The Host address to which the Jolokia agent should bind to. If `"\*"` or `"0.0.0.0"` is given,
                          the servers binds to every network interface (default `"*"`).
                        type: string
                      options:
                        description: |-
                          A list of additional Jolokia options as defined
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



